package com.fuint.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fuint.common.dto.ext.CurrencyDto;
import com.fuint.common.param.PageParam;
import com.fuint.common.vo.CurrencyVo;
import com.fuint.framework.pagination.PaginationRequest;
import com.fuint.framework.pagination.PaginationResponse;
import com.fuint.framework.web.PageResult;
import com.fuint.repository.model.MtCurrency;
import com.fuint.framework.exception.BusinessCheckException;
import java.util.List;
import java.util.Map;

/**
 * 货币表业务接口
 *
 * Created by pzg
 * CopyRight https://www.fuint.cn
 */
public interface CurrencyService extends IService<MtCurrency> {


    boolean addCurrency(CurrencyDto currencyDto);

    boolean updateCurrency(CurrencyDto currencyDto);

    PageResult<CurrencyVo> getCurrencyById(String name, PageParam pageParam);

    boolean deleteCurrency(Integer id);

    List<CurrencyVo> allList(String name);
}
